pro ryaddvel2, outpath
trackout = read_gdf(outpath + 'trackoutput.gdf')
numoftracks = max(trackout[6,*])
res=fltarr(10)
combinedres=fltarr(10)
tempres = fltarr(10)
for i=0, numoftracks do begin
    index = where(trackout[6,*] eq i)
    curtrk = trackout[*,index]
    dims = size(curtrk, /dimensions)
;   vels = mkpdf(curtrk,1)
    for j=0, fix(dims[1])-2 do begin
       xvel = curtrk[0,j+1] - curtrk[0,j]
       yvel = curtrk[1,j+1] - curtrk[1,j]
       framejump = curtrk[5, j+1] - curtrk[5,j]
       tempres =     [curtrk[*,j], xvel/framejump,yvel/framejump,framejump]
    ;  help, tempres
    ;  print, tempres
       res = [[res],[tempres]]
    endfor

endfor
write_gdf, res, outpath + 'trackplusvels.gdf'
write_text, res, outpath + 'trackplusvels.dat'

print, outpath +'trackplusvels.gdf has been written'


end